Subject: B20: /dev/lp not supported
From: "Dan St.Andre'" <[email-masked]>
To: [email-masked]
Date: Thu, 22 Jul 1999 11:00:08 -0500

SITUATION:
   Since you so nicely provide for /dev/tty and others, why is /dev/lp so
obviously missing?

ANALYSIS:
   I know that you implement access to the dos devices PRN and LPT?.  However,
these
are not typical of unix software usage. Some tools use " ... >/dev/lp"  and rely
on the spooler.

   Most systems have a printer or "connection" to one. Eventually, many
applications want
[I can't say that they 'need'] paper output.

RECOMMENDATION:
This might be easy given existing support for PRN &c:
1.  Since DOS/windoze supports up to three printer devices in hardware,
implement /dev/lp1
... /dev/lp3 corresponding to LPT1: ... LPT3:  [Maybe unix convention is lp0 ...
lp2, but I
forget.]
2.  Support use of a sym link for the default printer:
        bash$  ln -sf  /dev/lp?  /dev/lp
These two items give the user access to the printer in unix syntax.

Eventually:
3.  Provide some sort of hook so that "... > /dev/lp" can hook a spooler.
If they want a spooler, they can do whatever they want by hooking /dev/lp
somehow.

It might be nice:
4.  Given that win-doze is lurking somewhere behind a CygWin session, you might
provide a new CygWin utility that grabs onto the win-doze print queues from the
command
line world.  This probably requires a win-doze aware daemon/service that watches
some spool
folder, grabs workorders, and passes jobs to win-doze printing.

Cordially,
~~~ Dan 0:-D
--
==============================================================
The Tenth Amendment ... its not only a good idea, its the law!
http://www.law.cornell.edu/constitution/constitution.billofrights.html#amendmentx

==============================================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]